Exchange Rule and Symbol Information
GETπ Public
Retrieve exchange information for supported markets and rate limit setting.
This API can be publicly accessed (without any security headers). If you
access with Read permission authentication, the result will be much more
accurate by account setting.
The symbol, symbols, and types parameters can't be used in combination
with each other. You can only use one parameter at a time.
| Options | Example |
|---|---|
| No parameter | /exchangeInfo |
| symbol | /exchangeInfo?symbol=BTC-USDT |
| symbols | /exchangeInfo?symbols=["BTC-USDT","ETH-USDT","BTC-PERP-USDT"] |
| types | /exchangeInfo?types=["FuturesPerpetual","FuturesTimeBased"] |
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | String | No | One symbol |
| symbols | String | No | Multiple symbols |
| types | String | No | Multiple types |
Response Contentβ
rateLimits:
| Name | Type | Description |
|---|---|---|
| type | String | Rate limit rule type β RAW_REQUEST |
| interval | String | Rate limit interval unit β SECOND |
| intervalNum | Double | Rate limit calculation interval |
| limit | Double | Rate limit condition limitation |
symbols:
| Name | Type | Description |
|---|---|---|
| symbol | String | Symbol name |
| type | String | Market type β Spot Β· FuturesPerpetual Β· FuturesTimeBased |
| category | String | Market category β CRYPTO Β· FX Β· STOCK Β· COMMODITIES Β· RATES |
| tradeCurrency | String | Trade currency |
| baseCurrency | String | Base currency |
| quoteCurrency | String | Quote currency |
| active | Boolean | Whether the market is active |
| minOrderPrice | String | Minimum order price |
| minPriceIncrement | String | Minimum order price increment |
| pricePrecision | Integer | Price precision |
| minOrderSize | String | Minimum order size |
| maxOrderSize | String | Maximum order size |
| minSizeIncrement | String | Minimum size increment |
| sizePrecision | Integer | Size precision |
| inactiveTime | Double | Inactive time |
| contractSize | String | Contract size |
| availableSettlement | String[] | Available currencies for settlement |
| contractStartTime | Double | Contract start time |
| contractEndTime | Double | Contract end time |
| matchingStartTime | Double | Matching start time |
| becomeInactiveTime | Double | Become inactive time |
example
GET
https://api.btse.com/public-api/market/v1/exchangeInfoResponse
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1624989977940,
"data": {
"rateLimits": [
{
"type": "RAW_REQUEST",
"interval": "SECOND",
"intervalNum": 2,
"limit": 50
}
],
"symbols": [
{
"symbol": "BTC-USDT",
"type": "Spot",
"category": "CRYPTO",
"tradeCurrency": "BTC",
"baseCurrency": "BTC",
"quoteCurrency": "USDT",
"active": true,
"minOrderPrice": "0.5",
"minPriceIncrement": "0.5",
"pricePrecision": 1,
"minOrderSize": "0.00001",
"maxOrderSize": "2000",
"minSizeIncrement": "0.00001",
"sizePrecision": 5
},
{
"symbol": "BTC-PERP-USDT",
"type": "FuturesPerpetual",
"category": "CRYPTO",
"tradeCurrency": "BTC-PERP",
"baseCurrency": "BTC",
"quoteCurrency": "USDT",
"active": true,
"minOrderPrice": "0.5",
"minPriceIncrement": "0.5",
"pricePrecision": 1,
"minOrderSize": "1",
"maxOrderSize": "500000",
"minSizeIncrement": "1",
"sizePrecision": 0,
"contractSize": "0.001",
"availableSettlement": [
"USD",
"BTC",
"USDT",
"USDC",
"USDP"
]
}
]
}
}